| Gtk2Hs | Contents | Index

Graphics.UI.Gtk.Layout.HBox

Portability | portable (depends on GHC)
Stability | provisional
Maintainer | gtk2hs-users@lists.sourceforge.net

Contents

Detail
Class Hierarchy
Types
Constructors

Description
A horizontal container box
Synopsis

data HBox
class BoxClass o => HBoxClass o
castToHBox :: GObjectClass obj => obj -> HBox
toHBox :: HBoxClass o => o -> HBox
hBoxNew :: Bool -> Int -> IO HBox

Detail
`HBox` is a container that organizes child widgets into a single row. Use the `Box` packing interface to determine the arrangement, spacing, width, and alignment of `HBox` children. All children are allocated the same height.
Class Hierarchy

     |  GObject
     |   +----Object
     |         +----Widget
     |               +----Container
     |                     +----Box
     |                           +----HBox
     |                                 +----Combo
     |                                 +----FileChooserButton
     |                                 +----Statusbar

Types
data HBox

Instances

GObjectClass HBox
HBoxClass HBox
BoxClass HBox
ContainerClass HBox
WidgetClass HBox
ObjectClass HBox

class BoxClass o => HBoxClass o

Instances

HBoxClass Statusbar
HBoxClass FileChooserButton
HBoxClass Combo
HBoxClass HBox

castToHBox :: GObjectClass obj => obj -> HBox
toHBox :: HBoxClass o => o -> HBox
Constructors
hBoxNew

:: Bool | `homogeneous` - `True` if all children are to be given equal space allotments.
-> Int | `spacing` - the number of pixels to place by default between children.
-> IO HBox |
Creates a new `HBox`.

Produced by Haddock version 2.4.2